Description

Implement MarkDone functions according to the specifications

Associated revisions

Revision 8d12fc9f - 29/10/2024 12:57 AM - Sachin Divekar
Implement MarkDone callback for batches #18361
This commit adds the MarkDone callback functionality to the batch processing framework.
The MarkDone method is called automatically when a batch completes, allowing applications
to perform post-processing tasks.
Changes:

1. Added BatchDetails_t struct to hold batch completion information

2. Updated BatchProcessor interface to include MarkDone method

3. Modified batch summarization to call MarkDone after completion

4. Added MarkDone implementations in example programs

Example usage can be found in the jobs/examples/batch-mailbatch.

Revision 5e56eald - 29/10/2024 06:21 PM - Sachin Divekar

Fix a bug introduced in the last commit due to which failed batch rows are not getting proccessed correctly #18361

Revision 9e26b4f9 - 30/10/2024 03:20 PM - remiges.safwank

fixed bug update batch_results not carry forwarded to markdone #18361

History

#1 - 28/10/2024 11:46 PM - Sachin Divekar

- Status changed from New to In Progress

#2 - 29/10/2024 12:59 AM - Sachin Divekar

Added MarkDone callback functionality to the batch processing framework.
Changes:

Added BatchDetails_t struct to hold batch completion information
Updated BatchProcessor interface to include MarkDone method
Modified batch summarization to call MarkDone after completion
Added MarkDone implementations in example programs

#3 - 29/10/2024 12:59 AM - Sachin Divekar
- % Done changed from 0 to 80

#4 - 21/03/2025 05:52 PM - Sachin Divekar

- Status changed from In Progress to Closed

#5 - 21/03/2025 05:52 PM - Sachin Divekar
- % Done changed from 80 to 100
